Enqueues a background job to generate the pay conditions comparison report as a PDF file. Once the job
completes (reported on the job status channel for the returned job id), call download to download it.
POST http:///api/v2/business/{businessId}/report/payconditioncomparison/pdf/request
| Parameter name | Value | Description | Additional |
|---|---|---|---|
| businessId | string | Required |
The request body takes a complete PccReportApiRequestModel resource, containing the following writable properties:
{
"employeeId": "int32",
"employingEntityId": "int32",
"endDate": "date-time",
"locationId": "int32",
"negativeVariancesOnly": "boolean",
"payRunId": "int32",
"payScheduleId": "int32",
"periodSelectionType": "string",
"servicePeriodEndDate": "date-time",
"servicePeriodStartDate": "date-time",
"servicePeriodType": "string",
"startDate": "date-time"
}
| Name | Type | Description |
|---|---|---|
| employeeId | int32 |
Nullable |
| employingEntityId | int32 |
Nullable |
| endDate | date-time |
Nullable |
| locationId | int32 |
Nullable |
| negativeVariancesOnly | boolean | Boolean |
| payRunId | int32 |
Nullable |
| payScheduleId | int32 |
Nullable |
| periodSelectionType | string |
Nullable Possible values are:
|
| servicePeriodEndDate | date-time |
Nullable |
| servicePeriodStartDate | date-time |
Nullable |
| servicePeriodType | string |
Nullable Possible values are:
|
| startDate | date-time |
Nullable |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code | Description | Resource |
|---|---|---|
| 200 | OK OK |
PccReportJobStatusResponse |
| 403 | Forbidden Forbidden |
ProblemDetails |
Powered by DapperDox